Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lp.unit
Class EvolpProgram

    java.lang.Object
      lp.unit.EvolpProgram

    public class EvolpProgram

extends Object

Represents an evolving logic program (the base program) with a sequence of events (also evolving logic programs).

Version:
  1.0.0
Author:
  Martin Slota
See Also:
  `LogicProgram`, `GeneralizedLogicProgram`

Field Summary
`private LogicProgram` | `baseProgram` The base logic program.
`private List<LogicProgram>` | `events` The sequence of events.

Constructor Summary
`EvolpProgram()` Creates a new instance of `EvolpProgram`

Method Summary
`void` | `addEvent(LogicProgram program)` Adds a new event to the end of the event sequence.
`LogicProgram` | `getBaseProgram()` Returns the base program.
`List<LogicProgram>` | `getEvents()` Returns the event sequence.
`boolean` | `isGround()` Returns `true` iff both the base program and all events are ground.
`void` | `setBaseProgram(LogicProgram program)` Sets `program` as the base program.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### baseProgram

    private LogicProgram baseProgram

  The base logic program.

### events

    private final List<LogicProgram> events

  The sequence of events.

Constructor Detail

### EvolpProgram

    public EvolpProgram()

  Creates a new instance of `EvolpProgram`

Method Detail

### getBaseProgram

    public LogicProgram getBaseProgram()

  Returns the base program.

  Returns:
    the base program

### setBaseProgram

    public void setBaseProgram(LogicProgram program)

  Sets `program` as the base program.

  Parameters:
    `program` - the new base program

### getEvents

    public List<LogicProgram> getEvents()

  Returns the event sequence.

  Returns:
    the event sequence

### addEvent

    public void addEvent(LogicProgram program)

  Adds a new event to the end of the event sequence.

  Parameters:
    `program` - the event to be added

### isGround

    public boolean isGround()

  Returns `true` iff both the base program and all events are ground.

  Returns:
    as specified above
  See Also:
    `LogicProgram.isGround()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD